PropertyBindingException
Date: 2016-12-04

com.fasterxml.jackson.databind.exc

## Class PropertyBindingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.databind.JsonMappingException
          - - com.fasterxml.jackson.databind.exc.PropertyBindingException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    IgnoredPropertyException, UnrecognizedPropertyException

      public abstract class PropertyBindingException
      extends JsonMappingException

  Base class for `JsonMappingException`s that are specifically related to problems related to binding an individual property.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `JsonMappingException.Reference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `_propertiesAsString` Lazily constructed description of known properties, used for constructing actual message if and as needed.
    `protected java.util.Collection<java.lang.Object>` | `_propertyIds` Set of ids of properties that are known for the type, if this can be statically determined.
    `protected java.lang.String` | `_propertyName` Note: redundant information since it is also included in the reference path.
    `protected java.lang.Class<?>` | `_referringClass` Class that does not contain mapping for the unrecognized property.

    - ### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_path, _processor`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PropertyBindingException(com.fasterxml.jackson.core.JsonParser p, java.lang.String msg, com.fasterxml.jackson.core.JsonLocation loc, java.lang.Class<?> referringClass, java.lang.String propName, java.util.Collection<java.lang.Object> propertyIds)`
    `protected` | `PropertyBindingException(java.lang.String msg, com.fasterxml.jackson.core.JsonLocation loc, java.lang.Class<?> referringClass, java.lang.String propName, java.util.Collection<java.lang.Object> propertyIds)` Deprecated. Since 2.7

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<java.lang.Object>` | `getKnownPropertyIds()`
    `java.lang.String` | `getMessageSuffix()`
    `java.lang.String` | `getPropertyName()` Convenience method for accessing logical property name that could not be mapped.
    `java.lang.Class<?>` | `getReferringClass()` Method for accessing type (class) that is missing definition to allow binding of the unrecognized property.

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_appendPathDesc, _buildMessage, from, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `getLocation, getOriginalMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _referringClass

          protected final java.lang.Class<?> _referringClass

      Class that does not contain mapping for the unrecognized property.

    - #### _propertyName

          protected final java.lang.String _propertyName

      Note: redundant information since it is also included in the reference path.

    - #### _propertyIds

          protected final java.util.Collection<java.lang.Object> _propertyIds

      Set of ids of properties that are known for the type, if this can be statically determined.

    - #### _propertiesAsString

          protected transient java.lang.String _propertiesAsString

      Lazily constructed description of known properties, used for constructing actual message if and as needed.

  - ### Constructor Detail

    - #### PropertyBindingException

          protected PropertyBindingException(com.fasterxml.jackson.core.JsonParser p,
                                  java.lang.String msg,
                                  com.fasterxml.jackson.core.JsonLocation loc,
                                  java.lang.Class<?> referringClass,
                                  java.lang.String propName,
                                  java.util.Collection<java.lang.Object> propertyIds)

      Since:
        2.7

    - #### PropertyBindingException

          @Deprecated
          protected PropertyBindingException(java.lang.String msg,
                                             com.fasterxml.jackson.core.JsonLocation loc,
                                             java.lang.Class<?> referringClass,
                                             java.lang.String propName,
                                             java.util.Collection<java.lang.Object> propertyIds)

      Deprecated. Since 2.7

  - ### Method Detail

    - #### getMessageSuffix

          public java.lang.String getMessageSuffix()

      Overrides:
        `getMessageSuffix` in class `com.fasterxml.jackson.core.JsonProcessingException`

    - #### getReferringClass

          public java.lang.Class<?> getReferringClass()

      Method for accessing type (class) that is missing definition to allow binding of the unrecognized property.

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Convenience method for accessing logical property name that could not be mapped. Note that it is the last path reference in the underlying path.

    - #### getKnownPropertyIds

          public java.util.Collection<java.lang.Object> getKnownPropertyIds()